polybori::CAuxTypes Class Reference

This struct contains auxiliary type definitions. More...

`#include <pbori_defs.h>`

Inheritance diagram for polybori::CAuxTypes:

## Public Types

typedef bool | bool_type
| Type for standard true/false statements. More...
typedef std::size_t | size_type
| Type for lengths, dimensions, etc. More...
typedef int | deg_type
| Type for polynomial degrees (ranges from -1 to maxint) More...
typedef int | integer_type
| Type for integer numbers. More...
typedef int | idx_type
| Type for indices. More...
typedef std::size_t | hash_type
| Type for hashing. More...
typedef unsigned int | errornum_type
| Type used to store error codes. More...
typedef short int | comp_type
| Type for comparisons. More...
typedef int | ordercode_type
| Type for ordering codes. More...
typedef const char * | errortext_type
| Type used to verbose error information. More...
typedef std::ostream | ostream_type
| Type for out-stream. More...
typedef const char * | vartext_type
| Type for setting/getting names of variables. More...
typedef unsigned long | large_size_type
| large size_type (necessary?) More...
typedef std::size_t | refcount_type
| Type for counting references. More...

## Detailed Description

This struct contains auxiliary type definitions.

## Member Typedef Documentation

typedef bool polybori::CAuxTypes::bool_type

Type for standard true/false statements.

typedef short int polybori::CAuxTypes::comp_type

Type for comparisons.

typedef int polybori::CAuxTypes::deg_type

Type for polynomial degrees (ranges from -1 to maxint)

typedef unsigned int polybori::CAuxTypes::errornum_type

Type used to store error codes.

typedef const char* polybori::CAuxTypes::errortext_type

Type used to verbose error information.

typedef std::size_t polybori::CAuxTypes::hash_type

Type for hashing.

typedef int polybori::CAuxTypes::idx_type

Type for indices.

typedef int polybori::CAuxTypes::integer_type

Type for integer numbers.

typedef unsigned long polybori::CAuxTypes::large_size_type

large size_type (necessary?)

typedef int polybori::CAuxTypes::ordercode_type

Type for ordering codes.

typedef std::ostream polybori::CAuxTypes::ostream_type

Type for out-stream.

typedef std::size_t polybori::CAuxTypes::refcount_type

Type for counting references.

typedef std::size_t polybori::CAuxTypes::size_type

Type for lengths, dimensions, etc.

typedef const char* polybori::CAuxTypes::vartext_type

Type for setting/getting names of variables.

The documentation for this class was generated from the following file:

- pbori_defs.h